Skip to content
Splashify Pro
Email docsEmail

Get identity

GET

/api/v1/partner/email/identities/:type/:value

Returns the current state of one identity, including a live DNS-check overlay so you see real-time spf_ok / dkim_ok / dmarc_ok flags reflecting what's actually published right now.

Path parameters

Response

json
{
  "success": true,
  "identity": {
    "identity_type": "DOMAIN",
    "identity_value": "yourcompany.com",
    "status": "VERIFIED",
    "spf_ok": true,
    "dkim_ok": true,
    "dmarc_ok": true,
    "dkim_selector": "splashify",
    "verified_at": "2026-05-03T12:00:00Z",
    "created_at": "2026-05-03T11:55:00Z",
    "dns_records": {
      "spf":   {"pass": true,  "found": "v=spf1 include:_spf.mail.splashifypro.com ~all", "expected": "..."},
      "dkim":  {"pass": true,  "found": "CNAME splashify._domainkey.mail.splashifypro.com", "expected": "..."},
      "dmarc": {"pass": true,  "found": "v=DMARC1; p=quarantine; ...", "expected": "..."}
    }
  }
}

cURL

bash
curl https://api.splashifypro.com/api/v1/partner/email/identities/DOMAIN/yourcompany.com \
  -H "Authorization: Bearer $SPLASHIFY_API_KEY"